Package pyplusplus :: Package _logging_ :: Class loggers

# ClassType loggers

source code

class-namespace, defines few loggers classes, used in the project

Class Variables
| file_writer = `_logging_.loggers.file_writer` logger for classes that write code to files
| declarations = `_create_logger_('pyplusplus.declarations')` logger for declaration classes
| module_builder = `_create_logger_('pyplusplus.module_builder')` logger that in use by module_builder_t class.
| root = `logging.getLogger('pyplusplus')` root logger exists for your convinience only
| all = `[root, file_writer, module_builder, declarations]` contains all logger classes, defined by the class

Class Variable Details

### declarations

logger for declaration classes

This is very import logger. All important messages: problems with declarations, warnings or hints are written to this logger.

Value:

      _create_logger_('pyplusplus.declarations')

### module_builder

logger that in use by module_builder_t class.

Just another logger. It exists mostly for Py++ developers.

Value:

      _create_logger_('pyplusplus.module_builder')